package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 组长轨迹给分表
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("mark_header_track")
@ApiModel(value="MarkHeaderTrack对象", description="组长轨迹给分表")
public class MarkHeaderTrack implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考生ID")
    @MppMultiId(value = "student_id")
    private Long studentId;

    @ApiModelProperty(value = "完整题号")
    @MppMultiId(value = "question_number")
    private String questionNumber;

    @ApiModelProperty(value = "序号")
    @MppMultiId(value = "number")
    private Integer number;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "科目代码")
    private String paperNumber;

    @ApiModelProperty(value = "大题题号")
    private Integer groupNumber;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "给分")
    private Double score;

    @ApiModelProperty(value = "X轴位置")
    private Double positionX;

    @ApiModelProperty(value = "Y轴位置")
    private Double positionY;

    @ApiModelProperty(value = "裁切图序号")
    private Integer offsetIndex;

    @ApiModelProperty(value = "裁切图X轴坐标")
    private Integer offsetX;

    @ApiModelProperty(value = "裁切图Y轴坐标")
    private Integer offsetY;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }
    public String getQuestionNumber() {
        return questionNumber;
    }

    public void setQuestionNumber(String questionNumber) {
        this.questionNumber = questionNumber;
    }
    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }
    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }
    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }
    public Double getPositionX() {
        return positionX;
    }

    public void setPositionX(Double positionX) {
        this.positionX = positionX;
    }
    public Double getPositionY() {
        return positionY;
    }

    public void setPositionY(Double positionY) {
        this.positionY = positionY;
    }
    public Integer getOffsetIndex() {
        return offsetIndex;
    }

    public void setOffsetIndex(Integer offsetIndex) {
        this.offsetIndex = offsetIndex;
    }
    public Integer getOffsetX() {
        return offsetX;
    }

    public void setOffsetX(Integer offsetX) {
        this.offsetX = offsetX;
    }
    public Integer getOffsetY() {
        return offsetY;
    }

    public void setOffsetY(Integer offsetY) {
        this.offsetY = offsetY;
    }

    @Override
    public String toString() {
        return "MarkHeaderTrack{" +
            "studentId=" + studentId +
            ", questionNumber=" + questionNumber +
            ", number=" + number +
            ", examId=" + examId +
            ", paperNumber=" + paperNumber +
            ", groupNumber=" + groupNumber +
            ", userId=" + userId +
            ", score=" + score +
            ", positionX=" + positionX +
            ", positionY=" + positionY +
            ", offsetIndex=" + offsetIndex +
            ", offsetX=" + offsetX +
            ", offsetY=" + offsetY +
        "}";
    }
}
